Create a storage
https://carchost.fieldcontrol.com.br/storages-v2Creates a storage. Requires the inventory control module.
Requires the
X-Api-Key,User-AgentandContent-Type: application/jsonheaders. Limit: 1 request per second (learn more).
Request
Headers
User-AgentstringrequiredIdentification of your application.
Example: MinhaIntegracao/1.0.
Request body
JSON, sent with the Content-Type: application/json header.
namestringrequiredStorage name. Must be unique in the account.
Up to 150 characters.
archivedbooleanrequiredArchives the storage. An archived storage loses its employee in charge.
descriptionstringStorage description.
Up to 2000 characters.
employeeobjectEmployee in charge of the storage.
Fields of employee
idstring or numberEmployee identifier. A value that is not an employee identifier removes the person in charge.
allowItemRequestsbooleanAllows item requests to the storage.
Default: false.
isTriagebooleanSets the storage as a triage storage.
Default: false.
externalobjectFields of external
idstringStorage identifier in your system.
Up to 100 characters.Accepts: null.
Responses
- 201
Storage created.
- 401
API key missing (
Missing API Key) or invalid (Invalid API Key). See Authentication. - 403
Account blocked (
Account blocked), expired (Account expired) or on a plan that does not allow integration (Account plan not allowed). See Authentication. - 422
Invalid body or name already used in the account (
reason: already exists) (resourceValidationErr). Account without the inventory control module: resourceNotAllowed. - 429
Limit of 1 request per second exceeded. See Rate limit.
- 500
Unexpected server error.